#!/usr/bin/perl

################################################################################
# (c) Copyright 2014
# .The author(s).: Mitchel Alioscha-Perez
# Vrije Universiteit Brussel,
# Department of Electronics and Informatics (ETRO),
# Faculty of Engineering Sciences,
# VUB-ETRO,
# 2 Pleinlaan, 1050 Belgium.
# (VUB - ETRO)
#
# All right reserved
# Permission to use, copy, modify, and distribute within VUB-ETRO
# .this routine/program/software and/or its documentation, or part of any one of them.
# (.the program.) for research purpose within VUB-ETRO is hereby granted, provided:
# (1) that the copyright notice appears in all copies,
# (2) that both the copyright notice and this permission notice appear in the supporting documentation, and
# (3) that all publications based partially or completely on this program will have the main publications of "the authors" related to this
# work cited as references.
# Any other type of handling or use of .the program., CAN NOT BE DONE
# WITHOUT PRIOR WRITTEN APPROVAL from the VUB-ETRO,
# including but not restricted to the following:
# (A) any re-distribution of .the program. to any person outside of the VUB-ETRO
# (B) any use of .the program. which is not academic research;
# (C) any commercial activity involving the use of .the program. is strictly prohibited.
# Modifications: (none)
# Disclaimer: VUB ETRO make no claim about the
# suitability of .the program. for any particular purpose.
# It is provided "as is" without any form of warranty or support.
#####################################################################################

$redownload = $ARGV[0];

@files = <structures/*>;
foreach $fname (@files) {
  if ($fname !~ /err/) {
  	  $has_hs = 0;
  	 
  	  if ($fname =~ /([\d]+)\_([^\.]+)\.html/) {
  	    $gly = $2;
  	    $fn = $1;
  	    
	  	  open($file, $fname) or die "Unable to open ".$fname;
	  	  while (<$file>) {
	  	  	 if (/href=\'..\/taxonomy\/([\d]+)\'>([^\<]+)<\/a>/) { # Taxonomy
	  	  	   if ($2 eq "HOMO SAPIENS") { $has_hs = 1; }  	  
	  	  	 }
	  	  	 if (($has_hs) && (/href=\'..\/proteinsummary\/([^\']+)\'>([^\<]+)<\/a>/)) { # Taxonomy
	  	  	   $res = `./parse_proteins.pl "$1" $redownload`;
	  	  	   if ($res) {
	  	  	     print "HOMO SAPIENS | $gly | $2 | http://www.unicarbkb.org/structure/$fn | http://www.unicarbkb.org/proteinsummary/$1\n";
	  	  	   } else {
	  	  	   } 
	  	  	 }
	  	  	 
	  	  }  	  	 
  	  	close($file);
  	  }
  	  
  	}
}
