#!/usr/bin/perl

################################################################################
# (c) Copyright 2014
# The author(s): Mitchel Alioscha-Perez
# Vrije Universiteit Brussel,
# Department of Electronics and Informatics (ETRO),
# Faculty of Engineering Sciences,
# VUB-ETRO,
# 2 Pleinlaan, 1050 Belgium.
# (VUB - ETRO)
#
# All right reserved
# Permission to use, copy, modify, and distribute within VUB-ETRO
# this routine/program/software and/or its documentation, or part of any one of them
# (the program) for research purpose within VUB-ETRO is hereby granted, provided:
# (1) that the copyright notice appears in all copies,
# (2) that both the copyright notice and this permission notice appear in the supporting documentation, and
# (3) that all publications based partially or completely on this program will have the main publications of "the authors" related to this
# work cited as references.
# Any other type of handling or use of the program, CAN NOT BE DONE
# WITHOUT PRIOR WRITTEN APPROVAL from the VUB-ETRO,
# including but not restricted to the following:
# (A) any re-distribution of the program to any person outside of the VUB-ETRO
# (B) any use of the program which is not academic research;
# (C) any commercial activity involving the use of the program is strictly prohibited.
# Modifications: (none)
# Disclaimer: VUB ETRO make no claim about the
# suitability of the program for any particular purpose.
# It is provided "as is" without any form of warranty or support.
#####################################################################################

use LWP::Simple;

$fname = $ARGV[0];
$glid = $ARGV[1];
open($file, $fname) or die 'Unable to open file';

while (<$file>) { 
  #print $_;
  if (/href=\"\/structure\/([\d]+)\"/) {
    print "http://www.unicarbkb.org/structure/$1\n";
    if ($doc = get("http://www.unicarbkb.org/structure/$1")) {
      open($out, "> structures/".$1."_".$glid.".html"); print $out $doc; close($out);
    } else {
      open($out, "> structures/".$1."_".$glid.".err"); print $out $doc; close($out);
    } 
  }
}

print "OK";
